apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  # Name of your Application, suggestion is to use same as the project
  # created to avoid conflicts.
  name: openshift-varnish-testing-read
  namespace: openshift-gitops
spec:
  destination:
    # This namespace shall be same as the OpenShift project you created.
    namespace: jobtech-taxonomy-api-testing-read
    server: https://kubernetes.default.svc
  project: taxonomy
  source:
    # URL to the git repo to deploy. Of the two repos you are working with it shall be the infra.
    repoURL: https://gitlab.com/arbetsformedlingen/taxonomy-dev/backend/openshift-varnish-infra.git
    # Path to the overlay to deploy 
    path: kustomize/overlays/openshift-varnish-testing-read
    # Branch to use, most often main or master.
    targetRevision: main
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
    # Do not let ArgoCD create namespace, it will not get the right permissions.
    - CreateNamespace=true

